package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.fasterxml.jackson.annotation.JsonBackReference;
import com.jasamedika.medifirst2000.base.BaseMaster;
import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;import org.hibernate.envers.Audited;

/**
 *  class PemasanganCheckOutDetail
 * 
 * @author shakato
 */
public class PemasanganCheckOutDetailVO extends BaseTransactionVO {
	
	@ManyToOne
	@JoinColumn(name = "ObjectCheckOutOperationFk")
	@Caption(value = "ID checkOutOperation")
	@NotNull(message = "ID checkOutOperation tidak boleh kosong")
	private CheckOutOperationVO checkOutOperation;
	
	@ManyToOne
	@JoinColumn(name = "ObjectPemasanganCheckOutFk")
	@Caption(value = "ID PemasanganCheckOut")
	@NotNull(message = "ID PemasanganCheckOut tidak boleh kosong")
	private PemasanganCheckOutVO pemasanganCheckOut;
	
	@ManyToOne
	@JoinColumn(name = "ObjectStatusYaTidakFk")
	@Caption(value = "ID StatusYaTidak")
	@NotNull(message = "ID StatusYaTidak tidak boleh kosong")
	private StatusYaTidakVO statusYaTidak;
	
	@Column(name = "keterangan", nullable = true)
	@Caption(value = "keterangan")
	private String keterangan;

	public CheckOutOperationVO getCheckOutOperation() {
		return checkOutOperation;
	}

	public void setCheckOutOperation(CheckOutOperationVO checkOutOperation) {
		this.checkOutOperation = checkOutOperation;
	}

	public PemasanganCheckOutVO getPemasanganCheckOut() {
		return pemasanganCheckOut;
	}

	public void setPemasanganCheckOut(PemasanganCheckOutVO pemasanganCheckOut) {
		this.pemasanganCheckOut = pemasanganCheckOut;
	}

	public StatusYaTidakVO getStatusYaTidak() {
		return statusYaTidak;
	}

	public void setStatusYaTidak(StatusYaTidakVO statusYaTidak) {
		this.statusYaTidak = statusYaTidak;
	}

	public String getKeterangan() {
		return keterangan;
	}

	public void setKeterangan(String keterangan) {
		this.keterangan = keterangan;
	}
	
}